#!HEAD: main2-MEA1_NECP_HV_RC_XDOR_001_M15 2019-06-12 09:07:32 1411       45 MMO                  MAIN2               // MEACOϵ#2(ESTEC)-2                  
0001  . # LET                  @ONERR=NEXT                   
0002  . # ==========================================================================
0003    #  <startTime>2019-07-01T00:00:00Z</startTime>
0004    #  <stopTime>2019-07-01T20:00:00Z</stopTime>
0005    #  << XDOR:XDOR_BJXR_C460_NECP_M150801_00001.BC >>  Ϣ³ *****
0006    # ==========================================================================
0007    # **************************************************************************
0008  . #  3. MEA1ⰵCO
0009    # **************************************************************************
0010    # ==========================================================================
0011  . #  3.1. MEA1 LV check
0012    # ==========================================================================
0013    # --------------------------------------------------------------------------
0014  . #  3.1.1. MEA1 SWTICH ON
0015    #    <<M15-5 Power ON   Duration:5 min Day:69>>
0016    # --------------------------------------------------------------------------
0017    #
0018    # # MEA1ŸON롣
0019    #   Power on MEA1 by switching on.
0020    #
0021  . PCD.ON_OFF_ENA
0022    WAIT_SEC 40                   
0023    #
0024    # < CHECK >
0025    CHECK PCD.ON_OFF_ENA_DIS                    =ENA                   
0026    #
0027    PCD.PSU_MEA1_ON
0028    WAIT_SEC 40                   
0029    #
0030    #
0031    # < CHECK >
0032    CHECK PCD.PSU_MEA1_ON_OFF                   =ON                   
0033    #
0034    PCD.ON_OFF_DIS
0035    WAIT_SEC 40                   
0036    #
0037    # < CHECK >
0038    CHECK PCD.ON_OFF_ENA_DIS                    =DIS                   
0039    CHECK MD1F.MS1_LINK_STAT                    =ON                   
0040    #
0041    # # SW Error clear
0042    MD1F.DPU_SW_ERR_CLR
0043    WAIT_SEC 40                   
0044    #
0045    # < CHECK >
0046    CHECK MD1F.MS1_LINK_ERR                     =na                   
0047    CHECK MD1F.SLOT_ERR                         =na                   
0048    #
0049    #
0050    #
0051    WAIT_SEC 300                   
0052    #
0053    #
0054    # # MEA1ƥȥɽγǧ(LINKΩ8ʬʾв˼»)
0055    #   Confirmation of the MEA1 telemetry indication
0056    #   (More than 8 minutes after from LINK establishment)
0057    #
0058  . # < CHECK >
0059    CHECK MEA1.HK_I_P5V                         <110  # mA                   
0060    CHECK MEA1.HK_I_P12V                        <17   # mA                   
0061    CHECK MEA1.HK_MCP                           0     # V                   
0062    CHECK MEA1.I_MCP                            0     # uA                   
0063    CHECK MEA1.HK_TMP_FPG                       <30   # deg.  (depend on the environment, maximum 85C)                   
0064    CHECK MEA1.HK_TMP_MCP                       <30   # deg.  (depend on the environment, maximum 80C)                   
0065    CHECK MEA1.Status_reg                       0x80  # (initial value)                   
0066    CHECK MEA1.l1_cmd_exe                       =0xFFFF                   
0067    CHECK MEA1.l2_cmd_exe                       =0xFFFF                   
0068    #
0069    # QL            Check-Item                  Spec                      Check
0070    # -------------+---------------------------+-------------------------+------
0071    # CMD   Message                     STATUS CHECK  OK       G  N
0072    #
0073  . # ==========================================================================
0074    #  <startTime>2019-07-01T00:00:00Z</startTime>
0075    #  <stopTime>2019-07-01T20:00:00Z</stopTime>
0076    #  << XDOR:XDOR_BJXR_C461_NECP_M150802_00001.BC >>  1ޥɤ *****
0077    # ==========================================================================
0078    # --------------------------------------------------------------------------
0079  . #  3.1.2. MEM_DUMP
0080    #    <<M15-6 Cal Check   Duration:15 min Day:69>>
0081    #
0082    # CHECK ALL HV MEMORY TABLE in EEPROM to prevent errors, "corruption, delete...      
0083    #
0084    # --------------------------------------------------------------------------
0085    #
0086    # # HV Tableγǧ   HV Table Verification 
0087    # # MDP send a CMD MEA DUMP memory 0x2F 0x04 : HV Table 3eV -> 3KeV
0088    #   (transfert between EEPROM HV Table (n4) to SRAM Spacewire before 
0089    #    the MDP RMAP dump packet)
0090    #
0091  . MEA1.Scan_OF
0092    WAIT_SEC 40                   
0093    #
0094  . # ==========================================================================
0095    #  <startTime>2019-07-01T00:00:00Z</startTime>
0096    #  <stopTime>2019-07-01T20:00:00Z</stopTime>
0097    #  << XDOR:XDOR_BJXR_C462_NECP_M150803_00001.BC >>  Ϣ³ *****
0098    # ==========================================================================
0099  . MD1F.MEA1_CLCT_STOP
0100    WAIT_SEC 40                   
0101    #
0102    # < CHECK >
0103    CHECK MD1F.MS1_DAT_CLCT                     =OFF                   
0104    #
0105    #
0106    #  
0107    # 
0108    # DUMP 1st HV table : Table 3eV-300eV 
0109    #   1-Send Command to read EEPROM and transfer HV table in RAM1008
0110    #
0111    MEA1.Dump_EEP        0x00
0112    WAIT_SEC 40                   
0113    #
0114    DH.OPE_MODE 0x0C 0x3E 0x2C 0x04 0x00000000000000000000000000
0115    WAIT_SEC 2                   
0116    DH.DMP_PERIOD 0x02
0117    WAIT_SEC 40                   
0118    CHECK DH.DMP_PERIOD                         =SEC_4                   
0119    CHECK DH.CATEGORY_TBL_NO                    0x2C                   
0120    CHECK DH.DWNLNK_RATE                        =BPS16384                   
0121    #
0122    #
0123    DH.TLMFMT1553B_CHG 0x0A
0124    WAIT_SEC 40                   
0125    #  
0126    # < CHECK >
0127    CHECK MEA1.l1_cmd_exe                       =0x2F00                   
0128    #
0129    DH.TLMFMT1553B_CHG 0x06
0130    WAIT_SEC 40                   
0131    #
0132    # < CHECK >
0133    CHECK DH.TLM1553BFMTNO                      0x06                   
0134    #
0135    # # MDP Read DUMP memory 1st packet 512Bytes
0136    #   MDPMEA1 ROM512byte DUMP
0137    #
0138    #   2-Dump RAM to MDP (Adresse : 0x600 and size=512B
0139    #
0140    MD1F.MEM_DUMP 0x01 0x05 0x00000600 0x000200
0141    WAIT_SEC 2                   
0142    MD1F.MEM_DUMP 0x01 0x05 0x00000600 0x000200
0143    WAIT_SEC 300                   
0144    #
0145  . # # MEA¦ˤƥ׷̤ǧ
0146    #
0147  . # ==========================================================================
0148    #  <startTime>2019-07-01T00:00:00Z</startTime>
0149    #  <stopTime>2019-07-01T20:00:00Z</stopTime>
0150    #  << XDOR:XDOR_BJXR_C463_NECP_M150804_00001.BC >>  Ϣ³ *****
0151    # ==========================================================================
0152    #   3-Check the 1st HV Table      
0153    #
0154    #
0155    #
0156    #
0157    # DUMP 2nd HV table : Table 3eV-25KeV      
0158    #   1-Send Commant to read EEPROM and transfert HV table in RAM      
0159    #
0160  . MEA1.Dump_EEP        0x01
0161    WAIT_SEC 40                   
0162    #
0163    DH.TLMFMT1553B_CHG 0x0A
0164    WAIT_SEC 40                   
0165    #  
0166    # < CHECK >
0167    CHECK DH.TLM1553BFMTNO                      0x0A                   
0168    CHECK MEA1.l1_cmd_exe                       =0x2F01                   
0169    CHECK MEA1.l2_cmd_exe                       =0x2F00                   
0170    #
0171    DH.TLMFMT1553B_CHG 0x06
0172    WAIT_SEC 40                   
0173    #
0174    # < CHECK >
0175    CHECK DH.TLM1553BFMTNO                      0x06                   
0176    #
0177    # # MDP Read DUMP memory 1st packet 512Bytes
0178    #   MDPMEA1 ROM512byte DUMP
0179    #
0180    #   2-Dump RAM to MDP (Adresse : 0x600 and size=512B
0181    #  => need 2 times (1st time is not a good packet, 2nd time is OK)       
0182    #
0183    MD1F.MEM_DUMP 0x01 0x05 0x00000600 0x000200
0184    WAIT_SEC 2                   
0185    MD1F.MEM_DUMP 0x01 0x05 0x00000600 0x000200
0186    WAIT_SEC 300                   
0187    #
0188  . # # MEA¦ˤƥ׷̤ǧ
0189    #
0190  . # ==========================================================================
0191    #  <startTime>2019-07-01T00:00:00Z</startTime>
0192    #  <stopTime>2019-07-01T20:00:00Z</stopTime>
0193    #  << XDOR:XDOR_BJXR_C464_NECP_M150805_00001.BC >>  Ϣ³ *****
0194    # ==========================================================================
0195    #   3-Check the 2nd HV Table      
0196    #
0197    #
0198    #
0199    #
0200    # DUMP 3rd HV table : Table 3eV-3KeV      
0201    #   1-Send Commant to read EEPROM and transfert HV table in RAM      
0202    #
0203  . MEA1.Dump_EEP        0x02
0204    WAIT_SEC 40                   
0205    #
0206    DH.TLMFMT1553B_CHG 0x0A
0207    WAIT_SEC 40                   
0208    #  
0209    # < CHECK >
0210    CHECK DH.TLM1553BFMTNO                      0x0A                   
0211    CHECK MEA1.l1_cmd_exe                       =0x2F02                   
0212    CHECK MEA1.l2_cmd_exe                       =0x2F01                   
0213    #
0214    DH.TLMFMT1553B_CHG 0x06
0215    WAIT_SEC 40                   
0216    #
0217    # < CHECK >
0218    CHECK DH.TLM1553BFMTNO                      0x06                   
0219    #
0220    # # MDP Read DUMP memory 1st packet 512Bytes
0221    #   MDPMEA1 ROM512byte DUMP
0222    #
0223    #   2-Dump RAM to MDP (Adresse : 0x600 and size=512B
0224    #  => need 2 times (1st time is not a good packet, 2nd time is OK)       
0225    #
0226    MD1F.MEM_DUMP 0x01 0x05 0x00000600 0x000200
0227    WAIT_SEC 2                   
0228    MD1F.MEM_DUMP 0x01 0x05 0x00000600 0x000200
0229    WAIT_SEC 300                   
0230    #
0231  . # # MEA¦ˤƥ׷̤ǧ
0232    #
0233  . # ==========================================================================
0234    #  <startTime>2019-07-01T00:00:00Z</startTime>
0235    #  <stopTime>2019-07-01T20:00:00Z</stopTime>
0236    #  << XDOR:XDOR_BJXR_C465_NECP_M150806_00001.BC >>  Ϣ³ *****
0237    # ==========================================================================
0238    #   3-Check the 3rd HV Table      
0239    #
0240    #
0241    #
0242    #
0243    # DUMP 4th HV table : Table 3KeV-25KeV      
0244    #   1-Send Commant to read EEPROM and transfert HV table in RAM      
0245    #
0246  . MEA1.Dump_EEP        0x03
0247    WAIT_SEC 40                   
0248    #
0249    DH.TLMFMT1553B_CHG 0x0A
0250    WAIT_SEC 40                   
0251    #  
0252    # < CHECK >
0253    CHECK DH.TLM1553BFMTNO                      0x0A                   
0254    CHECK MEA1.l1_cmd_exe                       =0x2F03                   
0255    CHECK MEA1.l2_cmd_exe                       =0x2F02                   
0256    #
0257    DH.TLMFMT1553B_CHG 0x06
0258    WAIT_SEC 40                   
0259    #
0260    # < CHECK >
0261    CHECK DH.TLM1553BFMTNO                      0x06                   
0262    #
0263    # # MDP Read DUMP memory 1st packet 512Bytes
0264    #   MDPMEA1 ROM512byte DUMP
0265    #
0266    #   2-Dump RAM to MDP (Adresse : 0x600 and size=512B
0267    #  => need 2 times (1st time is not a good packet, 2nd time is OK)       
0268    #
0269    MD1F.MEM_DUMP 0x01 0x05 0x00000600 0x000200
0270    WAIT_SEC 2                   
0271    MD1F.MEM_DUMP 0x01 0x05 0x00000600 0x000200
0272    WAIT_SEC 300                   
0273    #
0274  . # # MEA¦ˤƥ׷̤ǧ
0275    #
0276  . # ==========================================================================
0277    #  <startTime>2019-07-01T00:00:00Z</startTime>
0278    #  <stopTime>2019-07-01T20:00:00Z</stopTime>
0279    #  << XDOR:XDOR_BJXR_C466_NECP_M150807_00001.BC >>  Ϣ³ *****
0280    # ==========================================================================
0281    #   3-Check the 4th HV Table      
0282    #
0283    #
0284    #
0285    #
0286  . MD1F.MEA1_CLCT_START
0287    #
0288    WAIT_SEC 40                   
0289    #
0290    # < CHECK >
0291    CHECK MD1F.MS1_DAT_CLCT                     =ON                   
0292    #
0293    # # Mission Data1553B̿ȾʬӰ (4kbps)ǽϤ⡼ɤȤ
0294    DH.MC_EACH_EXE 0x0036  # 1553B TLM mode 10 (SYS HK 1/16, BUS User HK 1/8, DUMP 1/16, 
0295    #                      # MDP User HK 1/8, Mission User HK 1/8, Mission Data 1/2)
0296    #:              << MACRO >> ƤˤĤưʲ˼(DH.DUMMYϾά)
0297    #:              0x00 DH.DMP_PERIOD 0x04
0298    #:              0x01 DH.DR_PTLOGCYC_SET 0x00
0299    #:              0x02 ACS.ACS_PKT_FMT_1
0300    #:              0x05 DH.OPE_MODE 0x0C 0x3E 0x2C 0x04 0x00000000000000000000000000
0301    #:              0x06 DH.TLMFMT1553B_CHG 0x0A
0302    #
0303    WAIT_SEC 40                   
0304    #
0305    # < CHECK >
0306    CHECK DH.DMP_PERIOD                         =SEC_16                   
0307    CHECK DH.CATEGORY_TBL_NO                    0x2C                   
0308    CHECK DH.DWNLNK_RATE                        =BPS16384                   
0309    CHECK DH.TLM1553BFMTNO                      0x0A                   
0310    CHECK ACS.F_ACS_PKT_FMT                     =ACSHK1                   
0311    #
0312    #
0313    # QL            Check-Item                  Spec                      Check
0314    # -------------+---------------------------+-------------------------+------
0315    # CMD   Message                     STATUS CHECK  OK       G  N
0316    #
0317  . # ==========================================================================
0318    #  <startTime>2019-07-01T00:00:00Z</startTime>
0319    #  <stopTime>2019-07-01T20:00:00Z</stopTime>
0320    #  << XDOR:XDOR_BJXR_C467_NECP_M150901_00001.BC >>  1ޥɤ *****
0321    # ==========================================================================
0322    # ==========================================================================
0323  . #  3.2. SECURITY OFF
0324    #    <<M15-7 DISABLE HV SECURITY   Duration:5 min Day:69>>
0325    # ==========================================================================
0326    # --------------------------------------------------------------------------
0327  . #  3.2.1. DISABLE HV SECURITY (MCP + SPHERES), 10 min"          
0328    # --------------------------------------------------------------------------
0329    #
0330    # Enable HV ALL (MCP + SPHERES)          
0331  . MEA1.HV_EN          
0332    WAIT_SEC 300                   
0333    #          
0334  . # <CHECK> the HK          
0335    CHECK MEA1.l1_cmd_exe =0x1D00                   
0336    #          
0337    # QL            Check-Item                  Spec                      Check
0338    # -------------+---------------------------+-------------------------+------
0339    # CMD   Message                     STATUS CHECK  OK       G  N
0340    #
0341    # --------------------------------------------------------------------------
0342  . #  3.2.2. DISABLE MCP SECURITY          
0343    # --------------------------------------------------------------------------
0344    #          
0345    # Before Disable MCP security, send 0V to MCP (prevent the big step          
0346    #   after security OFF          
0347  . MEA1.MCP_ON 0x00          
0348    WAIT_SEC 300                   
0349    #          
0350  . # <CHECK>           
0351    #          
0352    # This command start the internal no regulated MCP HV at 3500V and its          
0353    # not possible to decrease this value (not remoteled) and the parameter          
0354    # of this command fixe the MCP HV outut voltage (at 0V for this parameter),          
0355    # => So MCP is secure because MPC HV output is at 0V although the internal HV is at 3500V          
0356    #          
0357    CHECK MEA1.l1_cmd_exe                       =0x1C00                   
0358    CHECK MEA1.Status_reg                       =0xC0  # (bit n7 = 1  and Bit n6 = 1)                   
0359    # CHECK MEA1.HK_MCP : ~0 after 1 or 2 min          
0360    #          
0361    #
0362    # QL            Check-Item                  Spec                      Check
0363    # -------------+---------------------------+-------------------------+------
0364    # CMD   Message                     STATUS CHECK  OK       G  N
0365    #
0366    #          
0367    # --------------------------------------------------------------------------
0368  . #  3.2.3. Disable the MCP bit security (This function is checked after)          
0369    # --------------------------------------------------------------------------
0370    #          
0371  . MEA1.SECRTY_OFF          
0372    WAIT_SEC 300                   
0373    #          
0374  . # <CHECK> the HK          
0375    CHECK MEA1.l1_cmd_exe                       =0x1F00                   
0376    CHECK MEA1.Status_reg                       0x40 # (bit n7 = 0)                   
0377    #          
0378    #          
0379    # QL            Check-Item                  Spec                      Check
0380    # -------------+---------------------------+-------------------------+------
0381    # CMD   Message                     STATUS CHECK  OK       G  N
0382    #
0383  . # ==========================================================================
0384    #  <startTime>2019-07-01T00:00:00Z</startTime>
0385    #  <stopTime>2019-07-01T20:00:00Z</stopTime>
0386    #  << XDOR:XDOR_BJXR_C468_NECP_M151001_00001.BC >>  1ޥɤ *****
0387    # ==========================================================================
0388    # ==========================================================================
0389  . #  3.3. SWITCH ON MCP (2750V in vacuum)
0390    #    <<M15-8 SWITCH ON MCP   Duration:140 min Day:69>>
0391    # ==========================================================================
0392    # --------------------------------------------------------------------------
0393  . #  3.3.1. SWITCH ON MCP, 25 min to verify the MCP HV          
0394    # --------------------------------------------------------------------------
0395    #
0396    # Switch ON the MCP, depend on the environment :          
0397    #          
0398    # The step to change the value must be to 100V during 5 min so :          
0399    #    - for 2750 V, number of steps is 2750/100 + 1 => 29 Steps          
0400    # OR          
0401    #    - for 400 V, number of steps is 400/100 + 1 => 5 Steps        
0402    #          
0403    # Notes : Maximum Value depend on the environement          
0404    # -> Vaccum Chamber or in Space : MCP Value is 2750 V (parameter 0c8)          
0405    # -> ON air, MCP Value is 400 V (parameter 0x1d)"          
0406    # Notes : Duration, depend on the maximum value and environement          
0407    # -> 29 x 5 min = 145 min          
0408    # -> 5 x 5 min = 25 min          
0409    # Notes : Step size          
0410    # -> Size of 100 V Step = 100 V - 0x07          
0411    # -> Value 400 V - 0x1d          
0412    # -> Value 2750 V - 0xc8          
0413    # -> Minimum step 26 V - 0x01 and Internal step          
0414    # -> Command_Value = (Value_MCP / 0.858) / 16          
0415    # -> example : MCP=400V => 29 => 0x1d          
0416    # Send Value to MCP and MCP ON          
0417    #          
0418    # wAIT 5 MINUTE BETWEEN EACH STEPS          
0419    #          
0420  . MEA1.MCP_ON 0x00          
0421    WAIT_SEC 300                   
0422    #          
0423  . # <CHECK> the HK          
0424    CHECK MEA1.l1_cmd_exe                       =0x1c00                   
0425    # CHECK MEA1.HK_MCP : < 0V           
0426    CHECK MEA1.Status_reg                       0x40 # (bit n6 = 1)                   
0427    #          
0428    #          
0429  . MEA1.MCP_ON 0x07          
0430    WAIT_SEC 300                   
0431    #          
0432  . # <CHECK> the HK          
0433    CHECK MEA1.l1_cmd_exe                       =0x1c07                   
0434    # CHECK MEA1.HK_MCP : ~ 100V           
0435    #          
0436    #          
0437  . MEA1.MCP_ON 0x0E          
0438    WAIT_SEC 300                   
0439    #          
0440  . # <CHECK> the HK          
0441    CHECK MEA1.l1_cmd_exe                       =0x1c0E                   
0442    # CHECK MEA1.HK_MCP : ~ 200V          
0443    #          
0444    #          
0445  . MEA1.MCP_ON 0x15          
0446    WAIT_SEC 300                   
0447    #          
0448  . # <CHECK> the HK          
0449    CHECK MEA1.l1_cmd_exe                       =0x1c15                   
0450    # CHECK MEA1.HK_MCP : ~ 300V          
0451    #          
0452    #          
0453  . MEA1.MCP_ON 0x1D          
0454    WAIT_SEC 300                   
0455    #          
0456  . # <CHECK> the HK          
0457    CHECK MEA1.l1_cmd_exe                       =0x1c1d                   
0458    # CHECK MEA1.HK_MCP : ~ 400V          
0459    #          
0460    # QL            Check-Item                  Spec                      Check
0461    # -------------+---------------------------+-------------------------+------
0462    # CMD   Message                     STATUS CHECK  OK       G  N
0463    #
0464    #          
0465    # --------------------------------------------------------------------------
0466  . #  3.3.2. ENABLE MCP SECURITY, 5 min          
0467    # --------------------------------------------------------------------------
0468    #          
0469    # Enable the MCP bit security, Value_MCP divide by 100, to verify the security MCP          
0470  . MEA1.SECRTY_ON          
0471    WAIT_SEC 300                   
0472    #          
0473  . # <CHECK> the HK          
0474    # CHECK MEA1.HK_MCP : ~ 0V after some minutes, 400V/100          
0475    CHECK MEA1.l1_cmd_exe                       =0x1800                   
0476    CHECK MEA1.Status_reg                       0xC0 # (bit n7 = 1 and 6 = 1)                   
0477    #          
0478    # QL            Check-Item                  Spec                      Check
0479    # -------------+---------------------------+-------------------------+------
0480    # CMD   Message                     STATUS CHECK  OK       G  N
0481    #
0482    #          
0483    # --------------------------------------------------------------------------
0484  . #  3.3.3. DISABLE MCP SECURITY, 5 min          
0485    # --------------------------------------------------------------------------
0486    #          
0487    # Disbale the MCP bit security, MCP retrieve the previous value at 400V          
0488  . MEA1.SECRTY_OFF          
0489    WAIT_SEC 300                   
0490    #          
0491  . # <CHECK> the HK          
0492    CHECK MEA1.l1_cmd_exe                       =0x1F00                   
0493    CHECK MEA1.Status_reg                       0x40  # (bit n7 = 0)                   
0494    # CHECK MEA1.HK_MCP : ~ 400V          
0495    #          
0496    # QL            Check-Item                  Spec                      Check
0497    # -------------+---------------------------+-------------------------+------
0498    # CMD   Message                     STATUS CHECK  OK       G  N
0499    #
0500    # --------------------------------------------------------------------------
0501  . #  3.3.4. SWITCH OFF MCP, 25 min          
0502    # --------------------------------------------------------------------------
0503    #          
0504    # Send Value to MCP and MCP ON          
0505    #          
0506  . # WAIT 5 MINUTE BETWEEN EACH STEPS          
0507  . MEA1.MCP_ON 0x15          
0508    WAIT_SEC 300                   
0509    #          
0510  . # <CHECK> the HK          
0511    CHECK MEA1.l1_cmd_exe                       =0x1c15                   
0512    # CHECK MEA1.HK_MCP : ~ 300V          
0513    #          
0514    #          
0515  . MEA1.MCP_ON 0x0E          
0516    WAIT_SEC 300                   
0517    #          
0518  . # <CHECK> the HK          
0519    CHECK MEA1.l1_cmd_exe                       =0x1c0E                   
0520    # CHECK MEA1.HK_MCP : ~ 200V          
0521    #          
0522    #          
0523  . MEA1.MCP_ON 0x07          
0524    WAIT_SEC 300                   
0525    #          
0526  . # <CHECK> the HK          
0527    CHECK MEA1.l1_cmd_exe                       =0x1c07                   
0528    # CHECK MEA1.HK_MCP : ~ 100V          
0529    #          
0530    #          
0531  . MEA1.MCP_ON 0x00          
0532    WAIT_SEC 300                   
0533    #          
0534  . # <CHECK> the HK          
0535    CHECK MEA1.l1_cmd_exe                       =0x1c00                   
0536    # CHECK MEA1.HK_MCP : < 0V after some minutes          
0537    #          
0538    #          
0539    # Stop the MCP HV          
0540  . MEA1.MCP_OFF          
0541    WAIT_SEC 300                   
0542    #          
0543  . # <CHECK> the HK          
0544    CHECK MEA1.l1_cmd_exe                       =0x1900                   
0545    CHECK MEA1.Status_reg                       0x00 # (bit n6 = 0)                   
0546    #          
0547    # QL            Check-Item                  Spec                      Check
0548    # -------------+---------------------------+-------------------------+------
0549    # CMD   Message                     STATUS CHECK  OK       G  N
0550    #
0551    #            
0552    # ==========================================================================
0553  . #  3.4. SWITCH ON SCAN, 15 min
0554    #    <<M15-9 SWITCH ON SCAN   Duration:120 min Day:69>>
0555    # ==========================================================================
0556    #
0557    # Start the scan of the sphere and Analyzer HV to verify the noise on A111 and MCP
0558    # Start the scan and verify if the instrument is synchronized or not
0559    #          
0560    #            
0561  . MEA1.Scan_ON          
0562    WAIT_SEC 300                   
0563    #          
0564  . # <CHECK> the HK          
0565    CHECK MEA1.l1_cmd_exe                       =0x2500                   
0566    #          
0567    #            
0568    # Select the sun pulse syncronization          
0569  . MEA1.Md_S_Auto          
0570    WAIT_SEC 300                   
0571    #          
0572  . # <CHECK> the HK          
0573    CHECK MEA1.l1_cmd_exe                        =0x3100                   
0574    #          
0575    #            
0576    # Select energies mode : mode 32 energies/32 sweeps          
0577    # -> HV table n2, 3eV-3KeV (~300V maxi on the analyzer)          
0578    #          
0579  . MEA1.mode_ROM_3 0x02          
0580    WAIT_SEC 300                   
0581    #          
0582  . # <CHECK> the HK          
0583    CHECK MEA1.l1_cmd_exe                       =0x0202                   
0584    # Check HKP TmSStp = HKP TmSStp_dft after some secondes          
0585    #          
0586    ## ******************************************************************          
0587    # WAIT until (5 min maximum) HKP TmSStp = TmSStp_dft to indicate the synchronization           
0588    # between sun plus and MEA.          
0589    # If not, do not execute the next steps!!          
0590    # Probably, sun pulse signal have a probem (cf previous test at ISAS)!!          
0591    # If already executed, you can pass at the next step.          
0592    ## ******************************************************************          
0593    #
0594    WAIT_SEC 300                   
0595  . #   Check the science Data to verify the value          
0596    #   - wait 10 min to verify the Science Data          
0597    #          
0598    # QL            Check-Item                  Spec                      Check
0599    # -------------+---------------------------+-------------------------+------
0600    # CMD   Message                     STATUS CHECK  OK       G  N
0601    #
0602    #            
0603  . # ==========================================================================
0604    #  <startTime>2019-07-01T00:00:00Z</startTime>
0605    #  <stopTime>2019-07-01T20:00:00Z</stopTime>
0606    #  << XDOR:XDOR_BJXR_C469_NECP_M151101_00001.BC >>  1ޥɤ *****
0607    # ==========================================================================
0608    # ==========================================================================
0609  . #  3.5. TEST MODE ON, 150 min
0610    #    <<M15-10 TEST MODE ON   Duration:30 min Day:69>>
0611    # ==========================================================================
0612    #          
0613    # Swtich ON the test mode for the Amplifier A111          
0614    #   to verify the good working of this          
0615  . MEA1.Md_Tst_ON          
0616    WAIT_SEC 900                   
0617    #          
0618  . # <CHECK> the HK          
0619    CHECK MEA1.l1_cmd_exe                       =0x3900                   
0620    CHECK MEA1.Status_reg                       0x01 # (bit n0 = 1)                   
0621    #          
0622    #   - wait 15 min to verify the Science Data          
0623    #   Check the science Data and compare with the previous value          
0624    #          
0625    # QL            Check-Item                  Spec                      Check
0626    # -------------+---------------------------+-------------------------+------
0627    # CMD   Message                     STATUS CHECK  OK       G  N
0628    #
0629    #            
0630    # ==========================================================================
0631  . #  3.6. TEST MODE OFF, 10 min
0632    #    <<M15-12 TEST MODE OFF   Duration:5 min Day:69>>
0633    # ==========================================================================
0634    #          
0635    # Stop the A111 test Mode          
0636  . MEA1.Md_Tst_OF          
0637    WAIT_SEC 600                   
0638    #          
0639  . # <CHECK> the HK          
0640    CHECK MEA1.l1_cmd_exe                       =0x3800                   
0641    CHECK MEA1.Status_reg                       0x00 # (bit n0 = 0)                   
0642    #          
0643    #   - wait 10 min to verify the Science Data are return to zero          
0644    #   Check the science Data and compare with the previous value          
0645    #          
0646    #          
0647    # QL            Check-Item                  Spec                      Check
0648    # -------------+---------------------------+-------------------------+------
0649    # CMD   Message                     STATUS CHECK  OK       G  N
0650    #
0651    #            
0652  . # ==========================================================================
0653    #  <startTime>2019-07-01T00:00:00Z</startTime>
0654    #  <stopTime>2019-07-01T20:00:00Z</stopTime>
0655    #  << XDOR:XDOR_BJXR_C470_NECP_M151201_00001.BC >>  1ޥɤ *****
0656    # ==========================================================================
0657    # ==========================================================================
0658  . #  3.7. ENABLE HV of ANALYZER (25 minutes)
0659    #    <<M15-**    Duration:** min Day:69>>
0660    # ==========================================================================
0661    #          
0662    # -> DO NOT EXECUTE THIS PART IF HV TABLE IS NOT n2          
0663    # -> HV table n2 are selected, 3eV-3KeV (~300V maxi on the analyzer), verify this value on HKP          
0664    # -> Same thing than the MCP, When the analyzer is ON, a 2nd internal HV and no regulated is ON          
0665    # and her value is 3000V even if the output analyzer is maximum at 300V (depend on the HV table)          
0666    ## ******************************************************************          
0667    #          
0668    # Deactive the current limiter switch OFF (just for switch ON the HV)          
0669  . MEA1.ON_F12V         
0670    WAIT_SEC 300                   
0671    #          
0672  . # <CHECK> the HK          
0673    CHECK MEA1.l1_cmd_exe                       =0x3F00                   
0674    #          
0675    #          
0676    #Switch ON the HV Spheres of analyzer          
0677  . MEA1.Anlyz_ON          
0678    WAIT_SEC 300                   
0679    #          
0680  . # <CHECK> the HK          
0681    CHECK MEA1.l1_cmd_exe                       =0x3F00                   
0682    CHECK MEA1.Status_reg                       0x20 # (bit n5 = 1)                   
0683    #          
0684    #          
0685    # Re-active the current limter switch OFF          
0686  . MEA1.AUTO12V         
0687    WAIT_SEC 300                   
0688    #          
0689  . # <CHECK> the HK          
0690    CHECK MEA1.l1_cmd_exe                   =0x3E00                   
0691    #          
0692    #          
0693    #          
0694    WAIT_SEC 300                   
0695    ## ***********************************        
0696  . #   Check the science Data to verify the value                
0697    #                                              
0698    #   - wait 10 min to verify the Science Data        
0699    #                                              
0700    #                                              
0701    ## ******************************************************************     
0702    #          
0703    #            
0704    # QL            Check-Item                  Spec                      Check
0705    # -------------+---------------------------+-------------------------+------
0706    # CMD   Message                     STATUS CHECK  OK       G  N
0707    #
0708    #            
0709  . # ==========================================================================
0710    #  <startTime>2019-07-01T00:00:00Z</startTime>
0711    #  <stopTime>2019-07-01T20:00:00Z</stopTime>
0712    #  << XDOR:XDOR_BJXR_C471_NECP_M151301_00001.BC >>  1ޥɤ *****
0713    # ==========================================================================
0714    # ==========================================================================
0715  . #  3.8. SWITCH ON MCP to verify the MCP noise (25 minutes)
0716    #    <<M15-**    Duration:** min Day:69>>
0717    # ==========================================================================
0718    #          
0719    # Switch ON the MCP, depend on the environment      
0720    #         
0721    # The step to change the value must be to 100V so :      
0722    #    - for 2750 V, number of steps is 2750/100 + 1 => 29 Steps     
0723    # OR         
0724    #    - for 400 V, number of steps is 400/100 + 1 => 5 Steps"       
0725    #    1010  10  a  
0726    # Notes : Maximum Value depend on the environement       
0727    # -> Vaccum Chamber or in Space : MCP Value is 2750 V (parameter 0c8)       
0728    # -> ON air, MCP Value is 400 V (parameter 0x1d)"       
0729    # Notes : Duration, depend on the maximum value and environement       
0730    # -> 29 x 5 min = 145 min       
0731    # -> 5 x 5 min = 25 min          
0732    # Notes : Step size          
0733    # -> Size of 100 V Step = 100 V - 0x07          
0734    # -> Value 400 V - 0x1d          
0735    # -> Value 2750 V - 0xc8          
0736    # -> Minimum step 26 V - 0x01 and Internal step          
0737    # -> Command_Value = (Value_MCP / 0.858) / 16          
0738    # -> example : MCP=400V => 29 => 0x1d          
0739    ## ***********************************          
0740    # Send Value to MCP and MCP ON          
0741    #          
0742  . MEA1.MCP_ON 0x00          
0743    WAIT_SEC 300                   
0744    #          
0745  . # <CHECK> the HK          
0746    CHECK MEA1.l1_cmd_exe                       =0x1c00                   
0747    # CHECK MEA1.HK_MCP : < 0V           
0748    CHECK MEA1.Status_reg                       0x60 # (bit n6 = 1 and bit 5 = 1)                   
0749    #          
0750    #   Check the science Data to verify the noise          
0751    #          
0752    #   - wait 5 min to verify the Science Data          
0753    #          
0754    #          
0755  . MEA1.MCP_ON 0x07          
0756    WAIT_SEC 300                   
0757    #          
0758  . # <CHECK> the HK          
0759    CHECK MEA1.l1_cmd_exe                       =0x1c07                   
0760    # CHECK MEA1.HK_MCP : ~ 100V           
0761    #          
0762    #   Check the science Data to verify the noise          
0763    #          
0764    #   - wait 5 min to verify the Science Data          
0765    #          
0766    #          
0767  . MEA1.MCP_ON 0x0E          
0768    WAIT_SEC 300                   
0769    #          
0770  . # <CHECK> the HK          
0771    CHECK MEA1.l1_cmd_exe                       =0x1c0E                   
0772    # CHECK MEA1.HK_MCP : ~ 200V           
0773    #          
0774    #   Check the science Data to verify the noise          
0775    #          
0776    #   - wait 5 min to verify the Science Data          
0777    #          
0778    #          
0779  . MEA1.MCP_ON 0x15          
0780    WAIT_SEC 300                   
0781    #          
0782  . # <CHECK> the HK          
0783    CHECK MEA1.l1_cmd_exe                       =0x1c15                   
0784    # CHECK MEA1.HK_MCP : ~ 300V           
0785    #          
0786    #   Check the science Data to verify the noise          
0787    #          
0788    #   - wait 5 min to verify the Science Data          
0789    #          
0790    #          
0791  . MEA1.MCP_ON 0x1D          
0792    WAIT_SEC 300                   
0793    #          
0794  . # <CHECK> the HK          
0795    CHECK MEA1.l1_cmd_exe                       =0x1c1d                   
0796    # CHECK MEA1.HK_MCP : ~ 400V           
0797    #          
0798    #   Check the science Data to verify the noise          
0799    #          
0800    #   - wait 5 min to verify the Science Data          
0801    #     
0802    ## ***     
0803    #          
0804    #          
0805  . MEA1.MCP_ON 0x24          
0806    WAIT_SEC 300                   
0807    #          
0808  . # <CHECK> the HK          
0809    CHECK MEA1.l1_cmd_exe                       =0x1c24                   
0810    # CHECK MEA1.HK_MCP : ~ 500V           
0811    #          
0812    #   Check the science Data to verify the noise          
0813    #          
0814    #   - wait 5 min to verify the Science Data          
0815    ## ***
0816    #          
0817    #          
0818  . MEA1.MCP_ON 0x2B          
0819    WAIT_SEC 300                   
0820    #          
0821  . # <CHECK> the HK          
0822    CHECK MEA1.l1_cmd_exe                       =0x1c2b                   
0823    # CHECK MEA1.HK_MCP : ~ 600V           
0824    #          
0825    #   Check the science Data to verify the noise          
0826    #          
0827    #   - wait 5 min to verify the Science Data          
0828    ## ***
0829    #          
0830    #          
0831  . MEA1.MCP_ON 0x32          
0832    WAIT_SEC 300                   
0833    #          
0834  . # <CHECK> the HK          
0835    CHECK MEA1.l1_cmd_exe                       =0x1c32                   
0836    # CHECK MEA1.HK_MCP : ~ 700V           
0837    #          
0838    #   Check the science Data to verify the noise          
0839    #          
0840    #   - wait 5 min to verify the Science Data          
0841    ## ***
0842    #          
0843    #          
0844  . MEA1.MCP_ON 0x3A          
0845    WAIT_SEC 300                   
0846    #          
0847  . # <CHECK> the HK          
0848    CHECK MEA1.l1_cmd_exe                       =0x1c3a                   
0849    # CHECK MEA1.HK_MCP : ~ 800V           
0850    #          
0851    #   Check the science Data to verify the noise          
0852    #          
0853    #   - wait 5 min to verify the Science Data          
0854    ## ***
0855    #          
0856    #          
0857  . MEA1.MCP_ON 0x41          
0858    WAIT_SEC 300                   
0859    #          
0860  . # <CHECK> the HK          
0861    CHECK MEA1.l1_cmd_exe                       =0x1c41                   
0862    # CHECK MEA1.HK_MCP : ~ 900V           
0863    #          
0864    #   Check the science Data to verify the noise          
0865    #          
0866    #   - wait 5 min to verify the Science Data          
0867    ## ***
0868    #          
0869    #          
0870  . MEA1.MCP_ON 0x48          
0871    WAIT_SEC 300                   
0872    #          
0873  . # <CHECK> the HK          
0874    CHECK MEA1.l1_cmd_exe                       =0x1c48                   
0875    # CHECK MEA1.HK_MCP : ~ 1000V           
0876    #          
0877    #   Check the science Data to verify the noise          
0878    #          
0879    #   - wait 5 min to verify the Science Data          
0880    ## ***
0881    #          
0882    #          
0883  . MEA1.MCP_ON 0x50          
0884    WAIT_SEC 300                   
0885    #          
0886  . # <CHECK> the HK          
0887    CHECK MEA1.l1_cmd_exe                       =0x1c50                   
0888    # CHECK MEA1.HK_MCP : ~ 1100V           
0889    #          
0890    #   Check the science Data to verify the noise          
0891    #          
0892    #   - wait 5 min to verify the Science Data          
0893    ## ***
0894    #          
0895    #          
0896  . MEA1.MCP_ON 0x57          
0897    WAIT_SEC 300                   
0898    #          
0899  . # <CHECK> the HK          
0900    CHECK MEA1.l1_cmd_exe                       =0x1c57                   
0901    # CHECK MEA1.HK_MCP : ~ 1200V           
0902    #          
0903    #   Check the science Data to verify the noise          
0904    #          
0905    #   - wait 5 min to verify the Science Data          
0906    ## ***
0907    #          
0908    #          
0909  . MEA1.MCP_ON 0x5E          
0910    WAIT_SEC 300                   
0911    #          
0912  . # <CHECK> the HK          
0913    CHECK MEA1.l1_cmd_exe                       =0x1c5e                   
0914    # CHECK MEA1.HK_MCP : ~ 1300V           
0915    #          
0916    #   Check the science Data to verify the noise          
0917    #          
0918    #   - wait 5 min to verify the Science Data          
0919    ## ***
0920    #          
0921    #          
0922  . MEA1.MCP_ON 0x65          
0923    WAIT_SEC 300                   
0924    #          
0925  . # <CHECK> the HK          
0926    CHECK MEA1.l1_cmd_exe                       =0x1c65                   
0927    # CHECK MEA1.HK_MCP : ~ 1400V           
0928    #          
0929    #   Check the science Data to verify the noise          
0930    #          
0931    #   - wait 5 min to verify the Science Data          
0932    ## ***
0933    #          
0934    #          
0935  . MEA1.MCP_ON 0x6D          
0936    WAIT_SEC 300                   
0937    #          
0938  . # <CHECK> the HK          
0939    CHECK MEA1.l1_cmd_exe                       =0x1c6d                   
0940    # CHECK MEA1.HK_MCP : ~ 1500V           
0941    #          
0942    #   Check the science Data to verify the noise          
0943    #          
0944    #   - wait 5 min to verify the Science Data          
0945    ## ***
0946    #          
0947    #          
0948  . MEA1.MCP_ON 0x74          
0949    WAIT_SEC 300                   
0950    #          
0951  . # <CHECK> the HK          
0952    CHECK MEA1.l1_cmd_exe                       =0x1c74                   
0953    # CHECK MEA1.HK_MCP : ~ 1600V           
0954    #          
0955    #   Check the science Data to verify the noise          
0956    #          
0957    #   - wait 5 min to verify the Science Data          
0958    ## ***
0959    #          
0960    #          
0961  . MEA1.MCP_ON 0x7B          
0962    WAIT_SEC 300                   
0963    #          
0964  . # <CHECK> the HK          
0965    CHECK MEA1.l1_cmd_exe                       =0x1c7b                   
0966    # CHECK MEA1.HK_MCP : ~ 1700V           
0967    #          
0968    #   Check the science Data to verify the noise          
0969    #          
0970    #   - wait 5 min to verify the Science Data          
0971    ## ***
0972    #          
0973    #          
0974  . MEA1.MCP_ON 0x83          
0975    WAIT_SEC 300                   
0976    #          
0977  . # <CHECK> the HK          
0978    CHECK MEA1.l1_cmd_exe                       =0x1c83                   
0979    # CHECK MEA1.HK_MCP : ~ 1800V           
0980    #          
0981    #   Check the science Data to verify the noise          
0982    #          
0983    #   - wait 5 min to verify the Science Data          
0984    ## ***
0985    #          
0986    #          
0987  . MEA1.MCP_ON 0x8A          
0988    WAIT_SEC 300                   
0989    #          
0990  . # <CHECK> the HK          
0991    CHECK MEA1.l1_cmd_exe                       =0x1c8a                   
0992    # CHECK MEA1.HK_MCP : ~ 1900V           
0993    #          
0994    #   Check the science Data to verify the noise          
0995    #          
0996    #   - wait 5 min to verify the Science Data          
0997    ## ***
0998    #          
0999    #          
1000  . MEA1.MCP_ON 0x91          
1001    WAIT_SEC 300                   
1002    #          
1003  . # <CHECK> the HK          
1004    CHECK MEA1.l1_cmd_exe                       =0x1c91                   
1005    # CHECK MEA1.HK_MCP : ~ 2000V           
1006    #          
1007    #   Check the science Data to verify the noise          
1008    #          
1009    #   - wait 5 min to verify the Science Data          
1010    ## ***
1011    #          
1012    #          
1013  . MEA1.MCP_ON 0x98          
1014    WAIT_SEC 300                   
1015    #          
1016  . # <CHECK> the HK          
1017    CHECK MEA1.l1_cmd_exe                       =0x1c98                   
1018    # CHECK MEA1.HK_MCP : ~ 2100V           
1019    #          
1020    #   Check the science Data to verify the noise          
1021    #          
1022    #   - wait 5 min to verify the Science Data          
1023    ## ***
1024    #          
1025    #          
1026  . MEA1.MCP_ON 0xA0          
1027    WAIT_SEC 300                   
1028    #          
1029  . # <CHECK> the HK          
1030    CHECK MEA1.l1_cmd_exe                       =0x1ca0                   
1031    # CHECK MEA1.HK_MCP : ~ 2200V           
1032    #          
1033    #   Check the science Data to verify the noise          
1034    #          
1035    #   - wait 5 min to verify the Science Data          
1036    ## ***
1037    #          
1038    #          
1039  . MEA1.MCP_ON 0xA7          
1040    WAIT_SEC 300                   
1041    #          
1042  . # <CHECK> the HK          
1043    CHECK MEA1.l1_cmd_exe                       =0x1ca7                   
1044    # CHECK MEA1.HK_MCP : ~ 2300V           
1045    #          
1046    #   Check the science Data to verify the noise          
1047    #          
1048    #   - wait 5 min to verify the Science Data          
1049    ## ***
1050    #          
1051    #          
1052  . MEA1.MCP_ON 0xAE          
1053    WAIT_SEC 300                   
1054    #          
1055  . # <CHECK> the HK          
1056    CHECK MEA1.l1_cmd_exe                       =0x1cae                   
1057    # CHECK MEA1.HK_MCP : ~ 2400V           
1058    #          
1059    #   Check the science Data to verify the noise          
1060    #          
1061    #   - wait 5 min to verify the Science Data          
1062    ## ***
1063    #          
1064    #          
1065  . MEA1.MCP_ON 0xB6          
1066    WAIT_SEC 300                   
1067    #          
1068  . # <CHECK> the HK          
1069    CHECK MEA1.l1_cmd_exe                       =0x1cb6                   
1070    # CHECK MEA1.HK_MCP : ~ 2500V           
1071    #          
1072    #   Check the science Data to verify the noise          
1073    #          
1074    #   - wait 5 min to verify the Science Data          
1075    ## ***
1076    #          
1077    #          
1078  . MEA1.MCP_ON 0xBD          
1079    WAIT_SEC 300                   
1080    #          
1081  . # <CHECK> the HK          
1082    CHECK MEA1.l1_cmd_exe                       =0x1cbd                   
1083    # CHECK MEA1.HK_MCP : ~ 2600V           
1084    #          
1085    #   Check the science Data to verify the noise          
1086    #          
1087    #   - wait 5 min to verify the Science Data          
1088    ## ***
1089    #          
1090    #          
1091  . MEA1.MCP_ON 0xC4          
1092    WAIT_SEC 300                   
1093    #          
1094  . # <CHECK> the HK          
1095    CHECK MEA1.l1_cmd_exe                       =0x1cc4                   
1096    # CHECK MEA1.HK_MCP : ~ 2700V           
1097    #          
1098    #   Check the science Data to verify the noise          
1099    #          
1100    #   - wait 5 min to verify the Science Data          
1101    ## ***
1102    #          
1103    #          
1104  . MEA1.MCP_ON 0xC8          
1105    WAIT_SEC 300                   
1106    #          
1107  . # <CHECK> the HK          
1108    CHECK MEA1.l1_cmd_exe                       =0x1cc8                   
1109    # CHECK MEA1.HK_MCP : ~ 2750V           
1110    #          
1111    #   Check the science Data to verify the noise          
1112    #          
1113    #   - wait 5 min to verify the Science Data          
1114    #            
1115    ## ******************************************************************          
1116    ## ******************************************************************          
1117    ## TEST IS IN THE AIR ?  -> IN THE AIR, STEP AT THE GF PART"          
1118    ## ******************************************************************          
1119    ## ******************************************************************          
1120    #            
1121    # QL            Check-Item                  Spec                      Check
1122    # -------------+---------------------------+-------------------------+------
1123    # CMD   Message                     STATUS CHECK  OK       G  N
1124    #
1125    #            
1126    # ==========================================================================
1127  . #  3.9. GF (20 minutes duration, 5 minutes per geometric factor)
1128    #    <<M15-**    Duration:** min Day:69>>
1129    #          CHECK both HK and Science Data for each geometric factor          
1130    # ==========================================================================
1131    #          
1132    # Change the geometrical factor to 0.8          
1133  . MEA1.G_Factor 0x01          
1134    WAIT_SEC 300                   
1135    #          
1136  . # <CHECK> the HK          
1137    CHECK MEA1.l1_cmd_exe                       =0x0801                   
1138    #          
1139    #   Check the science Data to verify the noise          
1140    #          
1141    #   - wait 5 min to verify the Science Data          
1142    #          
1143    #          
1144    # Change the geometrical factor to 0.53          
1145  . MEA1.G_Factor 0x02          
1146    WAIT_SEC 300                   
1147    #          
1148  . # <CHECK> the HK          
1149    CHECK MEA1.l1_cmd_exe                       =0x0802                   
1150    #          
1151    #   Check the science Data to verify the noise          
1152    #          
1153    #   - wait 5 min to verify the Science Data          
1154    #          
1155    #          
1156    # Change the geometrical factor to 0.35          
1157  . MEA1.G_Factor 0x03          
1158    WAIT_SEC 300                   
1159    #          
1160  . # <CHECK> the HK          
1161    CHECK MEA1.l1_cmd_exe                       =0x0803                   
1162    #          
1163    #   Check the science Data to verify the noise          
1164    #          
1165    #   - wait 5 min to verify the Science Data          
1166    #          
1167    #          
1168    # Change the geometrical factor to 0.27          
1169  . MEA1.G_Factor 0x04          
1170    WAIT_SEC 300                   
1171    #          
1172  . # <CHECK> the HK          
1173    CHECK MEA1.l1_cmd_exe                       =0x0804                   
1174    #          
1175    #   Check the science Data to verify the noise          
1176    #          
1177    #   - wait 5 min to verify the Science Data          
1178    #          
1179    #          
1180    # QL            Check-Item                  Spec                      Check
1181    # -------------+---------------------------+-------------------------+------
1182    # CMD   Message                     STATUS CHECK  OK       G  N
1183    #
1184    #            
1185    # ==========================================================================
1186  . #  3.10. SWITCH OFF MCP in VACUUM (10 MINUTES)
1187    #    <<M15-**    Duration:** min Day:69>>
1188    #          CHECK both HK and Science Data for each geometric factor          
1189    # ==========================================================================
1190    #
1191    ## ***********************************          
1192    # Send Value to MCP and MCP ON          
1193    #   - wait 5 min between each step (2x5 minutes = 10 minutes)          
1194    ## *********************************** 
1195  . MEA1.MCP_ON 0xBD          
1196    WAIT_SEC 300                   
1197    #          
1198  . # <CHECK> the HK          
1199    CHECK MEA1.l1_cmd_exe                       =0x1cbd                   
1200    # CHECK MEA1.HK_MCP : ~ 2600V          
1201    #          
1202    #          
1203    ## **
1204  . MEA1.MCP_ON 0xAE          
1205    WAIT_SEC 300                   
1206    #          
1207  . # <CHECK> the HK          
1208    CHECK MEA1.l1_cmd_exe                       =0x1cae                   
1209    # CHECK MEA1.HK_MCP : ~ 2400V          
1210    #          
1211    #          
1212    ## **
1213  . MEA1.MCP_ON 0xA0          
1214    WAIT_SEC 300                   
1215    #          
1216  . # <CHECK> the HK          
1217    CHECK MEA1.l1_cmd_exe                       =0x1ca0                   
1218    # CHECK MEA1.HK_MCP : ~ 2200V          
1219    #          
1220    #          
1221    ## **
1222  . MEA1.MCP_ON 0x91          
1223    WAIT_SEC 300                   
1224    #          
1225  . # <CHECK> the HK          
1226    CHECK MEA1.l1_cmd_exe                       =0x1c91                   
1227    # CHECK MEA1.HK_MCP : ~ 2000V          
1228    #          
1229    #          
1230    ## **
1231  . MEA1.MCP_ON 0x83          
1232    WAIT_SEC 300                   
1233    #          
1234  . # <CHECK> the HK          
1235    CHECK MEA1.l1_cmd_exe                       =0x1c83                   
1236    # CHECK MEA1.HK_MCP : ~ 1800V          
1237    #          
1238    #          
1239    ## **
1240  . MEA1.MCP_ON 0x74          
1241    WAIT_SEC 300                   
1242    #          
1243  . # <CHECK> the HK          
1244    CHECK MEA1.l1_cmd_exe                       =0x1c74                   
1245    # CHECK MEA1.HK_MCP : ~ 1600V          
1246    #          
1247    #          
1248    ## **
1249  . MEA1.MCP_ON 0x65          
1250    WAIT_SEC 300                   
1251    #          
1252  . # <CHECK> the HK          
1253    CHECK MEA1.l1_cmd_exe                       =0x1c65                   
1254    # CHECK MEA1.HK_MCP : ~ 1400V          
1255    #          
1256    #          
1257    ## **
1258  . MEA1.MCP_ON 0x57          
1259    WAIT_SEC 300                   
1260    #          
1261  . # <CHECK> the HK          
1262    CHECK MEA1.l1_cmd_exe                       =0x1c57                   
1263    # CHECK MEA1.HK_MCP : ~ 1200V          
1264    #          
1265    #          
1266    ## **
1267  . MEA1.MCP_ON 0x48          
1268    WAIT_SEC 300                   
1269    #          
1270  . # <CHECK> the HK          
1271    CHECK MEA1.l1_cmd_exe                       =0x1c48                   
1272    # CHECK MEA1.HK_MCP : ~ 1000V          
1273    #          
1274    #          
1275    ## **
1276  . MEA1.MCP_ON 0x3A          
1277    WAIT_SEC 300                   
1278    #          
1279  . # <CHECK> the HK          
1280    CHECK MEA1.l1_cmd_exe                       =0x1c3a                   
1281    # CHECK MEA1.HK_MCP : ~ 800V          
1282    #          
1283    #          
1284    ## **
1285  . MEA1.MCP_ON 0x2B          
1286    WAIT_SEC 300                   
1287    #          
1288  . # <CHECK> the HK          
1289    CHECK MEA1.l1_cmd_exe                       =0x1cbd                   
1290    # CHECK MEA1.HK_MCP : ~ 600V          
1291    #          
1292    #          
1293    ## **
1294  . MEA1.MCP_ON 0x1D          
1295    WAIT_SEC 300                   
1296    #          
1297  . # <CHECK> the HK          
1298    CHECK MEA1.l1_cmd_exe                       =0x1c1d                   
1299    # CHECK MEA1.HK_MCP : ~ 400V          
1300    #          
1301    #          
1302    ## **
1303    # START HERE IN THE AIR          
1304  . MEA1.MCP_ON 0x0E          
1305    WAIT_SEC 300                   
1306    #          
1307  . # <CHECK> the HK          
1308    CHECK MEA1.l1_cmd_exe                       =0x1c0E                   
1309    # CHECK MEA1.HK_MCP : ~ 200V          
1310    #          
1311    #          
1312  . MEA1.MCP_ON 0x00          
1313    WAIT_SEC 300                   
1314    #          
1315  . # <CHECK> the HK          
1316    CHECK MEA1.l1_cmd_exe                       =0x1c00                   
1317    # CHECK MEA1.HK_MCP : < 0V           
1318    #          
1319    #          
1320  . MEA1.MCP_OFF          
1321    WAIT_SEC 300                   
1322    #          
1323  . # <CHECK> the HK          
1324    CHECK MEA1.l1_cmd_exe                       =0x1900                   
1325    CHECK MEA1.Status_reg                       0x22 # (bit n6 = 0 and bit 5 = 1)                   
1326    #          
1327    # QL            Check-Item                  Spec                      Check
1328    # -------------+---------------------------+-------------------------+------
1329    # CMD   Message                     STATUS CHECK  OK       G  N
1330    #
1331    #            
1332    # ==========================================================================
1333  . #  3.11. SWITCH OFF the SCAN (15 minutes)  
1334    #    <<M15-**    Duration:** min Day:69>>
1335    #          CHECK both HK and Science Data for each geometric factor          
1336    # ==========================================================================
1337    #            
1338    # SWITCH OFF THE ANALYZER HV, after this NO HV inside MEA"          
1339    #          
1340    #          
1341  . MEA1.Anlyz_OF          
1342    WAIT_SEC 300                   
1343    #          
1344  . # <CHECK> the HK          
1345    CHECK MEA1.l1_cmd_exe                       =0x2000                   
1346    CHECK MEA1.Status_reg                       0x02 # (bit n6 = 0 and bit 5 = 0)                   
1347    #          
1348    #          
1349    # SWITCH OFF THE SCAN          
1350  . MEA1.Scan_OF          
1351    WAIT_SEC 300                   
1352    #          
1353  . # <CHECK> the HK          
1354    CHECK MEA1.l1_cmd_exe                       0x2400                   
1355    #          
1356    #          
1357    # SWITCH ON THE MCP SECURITY          
1358  . MEA1.SECRTY_ON          
1359    WAIT_SEC 300                   
1360    #          
1361  . # <CHECK> the HK          
1362    CHECK MEA1.l1_cmd_exe                       =0x1800                   
1363    CHECK MEA1.Status_reg                       0x82 # (bit n8 = 1)                   
1364    #          
1365    # QL            Check-Item                  Spec                      Check
1366    # -------------+---------------------------+-------------------------+------
1367    # CMD   Message                     STATUS CHECK  OK       G  N
1368    #
1369  . # ==========================================================================
1370    #  <startTime>2019-07-01T00:00:00Z</startTime>
1371    #  <stopTime>2019-07-01T20:00:00Z</stopTime>
1372    #  << XDOR:XDOR_BJXR_C472_NECP_M151401_00001.BC >>  Ϣ³ *****
1373    # ==========================================================================
1374    # **************************************************************************
1375  . #  4. MEA1 SHUTDOWN
1376    # **************************************************************************
1377    #
1378  . PCD.ON_OFF_ENA
1379    WAIT_SEC 40                   
1380    #
1381    # < CHECK >
1382    CHECK PCD.ON_OFF_ENA_DIS                    =ENA                   
1383    #
1384    MD1F.MEA1_CLCT_STOP
1385    WAIT_SEC 40                   
1386    #
1387    # < CHECK >
1388    CHECK MD1F.MS1_DAT_CLCT                     =OFF                   
1389    #
1390    PCD.PSU_MEA1_OFF
1391    WAIT_SEC 40                   
1392    #
1393    # < CHECK >
1394    CHECK PCD.PSU_MEA1_ON_OFF                   =OFF                   
1395    CHECK MD1F.MS1_LINK_STAT                    =OFF                   
1396    #
1397    PCD.ON_OFF_DIS
1398    WAIT_SEC 40                   
1399    #
1400    # < CHECK >
1401  . CHECK PCD.ON_OFF_ENA_DIS                    =DIS                   
1402    #
1403    #
1404    # QL            Check-Item                  Spec                      Check
1405    # -------------+---------------------------+-------------------------+------
1406    # CMD   Message                     STATUS CHECK  OK       G  N
1407    #
1408    #
1409  . # ***************************************************************
1410  . #   END OF PROCEDURE
1411  . # ***************************************************************
